Package org.gradle.plugins.ide.eclipse

## Class GenerateEclipseClasspath

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<Classpath>
          - - org.gradle.plugins.ide.eclipse.GenerateEclipseClasspath

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not made cacheable, yet")
      public class GenerateEclipseClasspath
      extends XmlGeneratorTask<Classpath>

  Generates an Eclipse `.classpath` file. If you want to fine tune the eclipse configuration

  At this moment nearly all configuration is done via `EclipseClasspath`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenerateEclipseClasspath()` |
    `GenerateEclipseClasspath​(EclipseClasspath classpath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `configure​(Classpath xmlClasspath)` |
    `protected Classpath` | `create()` |
    `EclipseClasspath` | `getClasspath()` | The Eclipse Classpath model containing the information required to generate the classpath file.
    `org.gradle.internal.xml.XmlTransformer` | `getXmlTransformer()` |
    `void` | `setClasspath​(EclipseClasspath classpath)` |

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### GenerateEclipseClasspath

          public GenerateEclipseClasspath()

    - #### GenerateEclipseClasspath

          @Inject
          public GenerateEclipseClasspath​(EclipseClasspath classpath)

  - ### Method Detail

    - #### create

          protected Classpath create()

      Specified by:
        `create` in class `XmlGeneratorTask<Classpath>`

    - #### configure

          protected void configure​(Classpath xmlClasspath)

      Specified by:
        `configure` in class `XmlGeneratorTask<Classpath>`

    - #### getXmlTransformer

          public org.gradle.internal.xml.XmlTransformer getXmlTransformer()

      Overrides:
        `getXmlTransformer` in class `XmlGeneratorTask<Classpath>`

    - #### getClasspath

          @Internal
          public EclipseClasspath getClasspath()

      The Eclipse Classpath model containing the information required to generate the classpath file.

    - #### setClasspath

          public void setClasspath​(EclipseClasspath classpath)